Skip to main content
`Ctrl`+`K`

# pandas.Series.to_list

Series.to_list()

  Return a list of the values.

  These are each a scalar type, which is a Python scalar (for str, int, float) or a pandas scalar (for Timestamp/Timedelta/Interval/Period)

  Returns:
    list

  See also

  `numpy.ndarray.tolist`

    Return the array as an a.ndim-levels deep nested list of Python scalars.

  Examples

  For Series

      >>> s = pd.Series([1, 2, 3])
      >>> s.to_list()
      [1, 2, 3]

  For Index:

      >>> idx = pd.Index([1, 2, 3])
      >>> idx
      Index([1, 2, 3], dtype='int64')

      >>> idx.to_list()
      [1, 2, 3]